# $Revision: 1.23 $, $Date: 2008/06/17 21:34:20 $
Summary:	The C++ Unit Test Library
Summary(pl.UTF-8):	Biblioteka testowa do C++
Name:		cppunit
Version:	1.12.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/cppunit/%{name}-%{version}.tar.gz
# Source0-md5:	bd30e9cf5523cdfc019b94f5e1d7fd19
URL:		http://cppunit.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CppUnit is the C++ port of the famous JUnit framework for unit
testing.

%description -l pl.UTF-8
CppUnit jest portem C++ słynnego środowiska testowego JUnit.

%package devel
Summary:	cppunit header files
Summary(pl.UTF-8):	Pliki nagłówkowe cppunit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
cppunit header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe cppunit.

%package static
Summary:	cppunit static library
Summary(pl.UTF-8):	Statyczna biblioteka cppunit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
cppunit static library.

%description static -l pl.UTF-8
Statyczna biblioteka cppunit.

%prep
%setup -q

echo 'libcppunit_la_LIBADD = -ldl' >> src/cppunit/Makefile.am

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_includedir}/cppunit/{ui/mfc,ui/qt,config/config-[bm]*}
rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/DllPlugInTester
%attr(755,root,root) %{_libdir}/libcppunit-1.12.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcppunit-1.12.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/FAQ doc/html
%attr(755,root,root) %{_bindir}/cppunit-config
%attr(755,root,root) %{_libdir}/libcppunit.so
%{_libdir}/libcppunit.la
%{_includedir}/cppunit
%{_aclocaldir}/cppunit.m4
%{_pkgconfigdir}/cppunit.pc
%{_mandir}/man1/cppunit-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcppunit.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cppunit.spec,v $
Revision 1.23  2008/06/17 21:34:20  qboosh
- updated to 1.12.1

Revision 1.22  2007/06/14 18:18:11  arekm
- rel 2

Revision 1.21  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.19  2006/07/01 14:30:53  qboosh
- updated to 1.12.0

Revision 1.18  2006/03/08 20:55:14  qboosh
- updated to 1.11.6

Revision 1.17  2005/11/27 09:59:21  qboosh
- updated to 1.11.4

Revision 1.16  2005/11/05 16:47:33  adgor
- Fixed things

Revision 1.15  2005/10/19 19:35:37  qboosh
- updated to 1.11.2
- don't package html docs twice

Revision 1.14  2005/07/25 11:22:54  blekot
- up to 1.11.0

Revision 1.13  2005/06/28 22:37:58  zbyniu
- R: libstdc++-devel in -devel, rel 3, STBR

Revision 1.12  2004/07/17 23:53:52  qboosh
- added am18 patch, release 2

Revision 1.11  2004/07/04 22:37:29  qboosh
- updated to 1.10.2

Revision 1.10  2004/03/14 16:09:19  qboosh
- updated to 1.9.14

Revision 1.9  2004/02/22 02:21:00  qboosh
- updated to 1.9.12

Revision 1.8  2003/08/06 16:50:24  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.7  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.6  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:46:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/08 10:33:12  qboosh
- use http for sources from sourceforge

Revision 1.3  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.1  2002/07/11 22:19:08  qboosh
- new
